SynqDocs
Management APICustom sign-in providers

Get one of a brand's own sign-in providers

Its settings, the redirect URI its app registers and its client id, never a secret. Needs `org.brands.view`.

GET/v1/orgs/{org}/brands/{brand}/custom-sign-in-providers/{provider}

Its settings, the redirect URI its app registers and its client id, never a secret. Needs org.brands.view.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string

The org's id

Match^org_[0-9a-hjkmnp-tv-z]{26}$
brand*string

The brand's id

Match^brd_[0-9a-hjkmnp-tv-z]{26}$
provider*string

The brand's own provider's id

Match^custom-[a-z0-9]([a-z0-9-]{0,23}[a-z0-9])?$

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.synq.build/v1/orgs/org_01h455vb4pex5vsknk084sn02q/brands/brd_01h455vb4pex5vsknk084sn02q/custom-sign-in-providers/custom-acme-guild" \  -H "Authorization: Bearer $SYNQ_API_KEY"
{  "id": "custom-acme-guild",  "type": "oidc",  "name": "Acme",  "icon": "string",  "issuer": "string",  "endpoints": {    "authorization": "string",    "token": "string",    "userinfo": "string"  },  "app": {    "client_id": "app_01h455vb4pex5vsknk084sn02q",    "token_endpoint_auth_method": "client_secret_basic",    "updated_at": "2026-10-21T12:00:00.000Z"  },  "redirect_uri": "https://acme.auth.synq.build/federation/custom-acme-guild/callback",  "scopes": [    "string"  ],  "claims": {    "subject": "string",    "name": "Acme",    "handle": "string",    "picture": "string",    "email": "ana@acme.example",    "email_verified": "string"  },  "email_authoritative": true,  "use": "sign_in",  "keep_tokens": true,  "kept_claims": [    "string"  ],  "offered": true,  "created_at": "2026-10-21T12:00:00.000Z"}